name: "base"
channels:
  - defaults
dependencies:
  - xarray==0.17.1
  # ML
  - tensorflow
  #- pytorch
  # viz
  - matplotlib-base=3.3
  # - cartopy
  # scoring
  - xskillscore  # includes sklearn
  # data access
  - intake
  - fsspec
  - zarr
  - s3fs
  #- intake-xarray
  - cfgrib
  - pydap
  - cftime
  - h5netcdf
  - netcdf4==1.5.1  # see https://github.com/pydata/xarray/issues/4925
  - pip
  - pip:
    - climetlab
    - climetlab_s2s_ai_challenge
    - configargparse # for weatherbench
    - rechunker
    - git+https://github.com/xarray-contrib/xskillscore.git
    - git+https://github.com/phausamann/sklearn-xarray.git@develop
    #- dask-labextension
    #- nb_black
prefix: "/opt/conda"
